Debian Bug report logs - #700718
python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found

version graph

Package: python-numpy; Maintainer for python-numpy is Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>; Source for python-numpy is src:python-numpy.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Sat, 16 Feb 2013 15:39:01 UTC

Severity: serious

Tags: patch, pending

Found in version python-numpy/1:1.6.2-1.1

Fixed in version python-numpy/1:1.6.2-1.2

Done: Sébastien Villemot <sebastien@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sat, 16 Feb 2013 15:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 16 Feb 2013 15:39:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sat, 16 Feb 2013 16:35:33 +0100
[Message part 1 (text/plain, inline)]
Package: python-numpy
Version: 1:1.6.2-1.1
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package fails to upgrade from
'squeeze'.
It installed fine in 'squeeze', then the upgrade to 'wheezy' fails.

>From the attached log (scroll to the bottom...):

  Preparing to replace python-numpy 1:1.4.1-5 (using .../python-numpy_1%3a1.6.2-1.1_amd64.deb) ...
  /var/lib/dpkg/info/python-numpy.prerm: 6: update-python-modules: not found
  dpkg: warning: subprocess old pre-removal script returned error exit status 127
  dpkg: trying script from the new package instead ...
  /var/lib/dpkg/tmp.ci/prerm: 6: update-python-modules: not found
  dpkg: error processing /var/cache/apt/archives/python-numpy_1%3a1.6.2-1.1_amd64.deb (--unpack):
   subprocess new pre-removal script returned error exit status 127
  configured to not write apport reports
  /var/lib/dpkg/info/python-numpy.postinst: 6: update-python-modules: not found
  dpkg: error while cleaning up:
   subprocess installed post-installation script returned error exit status 127

Note that the attached log is from a squeeze -> sid upgrade, but I
manually ran piuparts to test squeeze -> wheezy(+new numpy) upgrades
which failed with exactly the same error.

This was observed while testing the upgrade of sixpac [contrib] from
squeeze, but I have now rescheduled all tests that might be affected by
the last mumpy upload ...


cheers,

Andreas
[sixpack_1:0.68-1.log.gz (application/x-gzip, attachment)]

Added indication that 700718 affects sixpack Request was from Andreas Beckmann <anbe@debian.org> to control@bugs.debian.org. (Sat, 16 Feb 2013 17:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sun, 17 Feb 2013 12:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 17 Feb 2013 12:45:03 GMT) Full text and rfc822 format available.

Message #12 received at 700718@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: 700718@bugs.debian.org
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sun, 17 Feb 2013 13:42:45 +0100
Hi,

I have now observed this behavior also while upgrading the following
packages from squeeze -> sid (and verified that these upgrades fail on
squeeze -> wheezy(+new numpy) in the same way).

python-netcdf
python-scientific


Andreas



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Fri, 22 Feb 2013 19:48:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 22 Feb 2013 19:48:20 GMT) Full text and rfc822 format available.

Message #17 received at 700718@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Andreas Beckmann <anbe@debian.org>, 700718@bugs.debian.org
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Fri, 22 Feb 2013 20:47:04 +0100
[Message part 1 (text/plain, inline)]
Le samedi 16 février 2013 à 16:35 +0100, Andreas Beckmann a écrit :

> during a test with piuparts I noticed your package fails to upgrade from
> 'squeeze'.
> It installed fine in 'squeeze', then the upgrade to 'wheezy' fails.
> 
> >>From the attached log (scroll to the bottom...):
> 
>   Preparing to replace python-numpy 1:1.4.1-5 (using .../python-numpy_1%3a1.6.2-1.1_amd64.deb) ...
>   /var/lib/dpkg/info/python-numpy.prerm: 6: update-python-modules: not found
>   dpkg: warning: subprocess old pre-removal script returned error exit status 127
>   dpkg: trying script from the new package instead ...
>   /var/lib/dpkg/tmp.ci/prerm: 6: update-python-modules: not found
>   dpkg: error processing /var/cache/apt/archives/python-numpy_1%3a1.6.2-1.1_amd64.deb (--unpack):
>    subprocess new pre-removal script returned error exit status 127
>   configured to not write apport reports
>   /var/lib/dpkg/info/python-numpy.postinst: 6: update-python-modules: not found
>   dpkg: error while cleaning up:
>    subprocess installed post-installation script returned error exit status 127

Here is what happens: when the prerm script is started, /usr/bin/python
symlink points to /usr/bin/python2.7, but the latter has not yet been
unpacked. So the python script update-python-modules cannot be run… Said
otherwise, python-minimal 2.7.3-4 has been unpacked, but
python2.7-minimal has not yet been.

It is clear that this is not a python-numpy bug, but at this stage I
don’t know which package to reassign it to (python-defaults,
python-support, or even apt ?).

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sat, 23 Feb 2013 16:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 23 Feb 2013 16:21:02 GMT) Full text and rfc822 format available.

Message #22 received at 700718@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Andreas Beckmann <anbe@debian.org>, 700718@bugs.debian.org
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sat, 23 Feb 2013 17:17:02 +0100
[Message part 1 (text/plain, inline)]
On Sun, Feb 17, 2013 at 13:42:45 +0100, Andreas Beckmann wrote:

> Hi,
> 
> I have now observed this behavior also while upgrading the following
> packages from squeeze -> sid (and verified that these upgrades fail on
> squeeze -> wheezy(+new numpy) in the same way).
> 
If this is due to the breaks added in the new numpy, then I'd say let's
revert those.  Aborting the upgrade like that seems much worse than
possible incompatibilities for partial upgrades.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sat, 23 Feb 2013 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 23 Feb 2013 16:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 700718@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Julien Cristau <jcristau@debian.org>, 700718@bugs.debian.org
Cc: Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sat, 23 Feb 2013 17:35:40 +0100
[Message part 1 (text/plain, inline)]
Le samedi 23 février 2013 à 17:17 +0100, Julien Cristau a écrit :
> On Sun, Feb 17, 2013 at 13:42:45 +0100, Andreas Beckmann wrote:
> 
> > I have now observed this behavior also while upgrading the following
> > packages from squeeze -> sid (and verified that these upgrades fail on
> > squeeze -> wheezy(+new numpy) in the same way).
> > 
> If this is due to the breaks added in the new numpy, then I'd say let's
> revert those.  Aborting the upgrade like that seems much worse than
> possible incompatibilities for partial upgrades.

Yes the problem is introduced by the new Breaks. However, as noted in my
previous message to this bug, this is the consequence of a real bug
somewhere else.

If reverting the Breaks still has your preference, I can do it.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sun, 24 Feb 2013 01:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Čertík <ondrej.certik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 24 Feb 2013 01:18:03 GMT) Full text and rfc822 format available.

Message #32 received at 700718@bugs.debian.org (full text, mbox):

From: Ondřej Čertík <ondrej.certik@gmail.com>
To: Sébastien Villemot <sebastien@debian.org>, 700718@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sat, 23 Feb 2013 17:14:28 -0800
On Sat, Feb 23, 2013 at 8:35 AM, Sébastien Villemot
<sebastien@debian.org> wrote:
> Le samedi 23 février 2013 à 17:17 +0100, Julien Cristau a écrit :
>> On Sun, Feb 17, 2013 at 13:42:45 +0100, Andreas Beckmann wrote:
>>
>> > I have now observed this behavior also while upgrading the following
>> > packages from squeeze -> sid (and verified that these upgrades fail on
>> > squeeze -> wheezy(+new numpy) in the same way).
>> >
>> If this is due to the breaks added in the new numpy, then I'd say let's
>> revert those.  Aborting the upgrade like that seems much worse than
>> possible incompatibilities for partial upgrades.
>
> Yes the problem is introduced by the new Breaks. However, as noted in my
> previous message to this bug, this is the consequence of a real bug
> somewhere else.
>
> If reverting the Breaks still has your preference, I can do it.

I am the release manager of NumPy 1.7.0. Do you think this is some bug
in NumPy itself?
If so, I would be very interested in fixing it. We can release 1.7.1
with the fixes.
Let us know.

Thanks,
Ondrej



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sun, 24 Feb 2013 08:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 24 Feb 2013 08:15:03 GMT) Full text and rfc822 format available.

Message #37 received at 700718@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Ondřej Čertík <ondrej.certik@gmail.com>
Cc: 700718@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sun, 24 Feb 2013 09:11:18 +0100
[Message part 1 (text/plain, inline)]
Le samedi 23 février 2013 à 17:14 -0800, Ondřej Čertík a écrit :
> On Sat, Feb 23, 2013 at 8:35 AM, Sébastien Villemot
> <sebastien@debian.org> wrote:
> > Le samedi 23 février 2013 à 17:17 +0100, Julien Cristau a écrit :
> >> On Sun, Feb 17, 2013 at 13:42:45 +0100, Andreas Beckmann wrote:
> >>
> >> > I have now observed this behavior also while upgrading the following
> >> > packages from squeeze -> sid (and verified that these upgrades fail on
> >> > squeeze -> wheezy(+new numpy) in the same way).
> >> >
> >> If this is due to the breaks added in the new numpy, then I'd say let's
> >> revert those.  Aborting the upgrade like that seems much worse than
> >> possible incompatibilities for partial upgrades.
> >
> > Yes the problem is introduced by the new Breaks. However, as noted in my
> > previous message to this bug, this is the consequence of a real bug
> > somewhere else.
> >
> > If reverting the Breaks still has your preference, I can do it.
> 
> I am the release manager of NumPy 1.7.0. Do you think this is some bug
> in NumPy itself?

I think the bug is not in NumPy, see:

 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=700718#17

This bug has been exposed when some Breaks have been added in
python-numpy 1:1.6.2-1.1.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sun, 24 Feb 2013 09:51:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 24 Feb 2013 09:51:18 GMT) Full text and rfc822 format available.

Message #42 received at 700718@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Sébastien Villemot <sebastien@debian.org>
Cc: 700718@bugs.debian.org, Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sun, 24 Feb 2013 10:43:21 +0100
[Message part 1 (text/plain, inline)]
On Sat, Feb 23, 2013 at 17:35:40 +0100, Sébastien Villemot wrote:

> Le samedi 23 février 2013 à 17:17 +0100, Julien Cristau a écrit :
> > On Sun, Feb 17, 2013 at 13:42:45 +0100, Andreas Beckmann wrote:
> > 
> > > I have now observed this behavior also while upgrading the following
> > > packages from squeeze -> sid (and verified that these upgrades fail on
> > > squeeze -> wheezy(+new numpy) in the same way).
> > > 
> > If this is due to the breaks added in the new numpy, then I'd say let's
> > revert those.  Aborting the upgrade like that seems much worse than
> > possible incompatibilities for partial upgrades.
> 
> Yes the problem is introduced by the new Breaks. However, as noted in my
> previous message to this bug, this is the consequence of a real bug
> somewhere else.
> 
Whether the somewhere else is python-support or python or dpkg, it's
probably not something we'll change before release...

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sun, 24 Feb 2013 10:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 24 Feb 2013 10:00:03 GMT) Full text and rfc822 format available.

Message #47 received at 700718@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: Julien Cristau <jcristau@debian.org>
Cc: 700718@bugs.debian.org, Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sun, 24 Feb 2013 10:58:00 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 + patch

Le dimanche 24 février 2013 à 10:43 +0100, Julien Cristau a écrit :
> On Sat, Feb 23, 2013 at 17:35:40 +0100, Sébastien Villemot wrote:
> 
> > Le samedi 23 février 2013 à 17:17 +0100, Julien Cristau a écrit :
> > > On Sun, Feb 17, 2013 at 13:42:45 +0100, Andreas Beckmann wrote:
> > > 
> > > > I have now observed this behavior also while upgrading the following
> > > > packages from squeeze -> sid (and verified that these upgrades fail on
> > > > squeeze -> wheezy(+new numpy) in the same way).
> > > > 
> > > If this is due to the breaks added in the new numpy, then I'd say let's
> > > revert those.  Aborting the upgrade like that seems much worse than
> > > possible incompatibilities for partial upgrades.
> > 
> > Yes the problem is introduced by the new Breaks. However, as noted in my
> > previous message to this bug, this is the consequence of a real bug
> > somewhere else.
> > 
> Whether the somewhere else is python-support or python or dpkg, it's
> probably not something we'll change before release...

Fair enough. Then let’s remove the Breaks.

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Sébastien Villemot <sebastien@debian.org> to 700718-submit@bugs.debian.org. (Sun, 24 Feb 2013 10:00:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Sun, 24 Feb 2013 18:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ondřej Čertík <ondrej.certik@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sun, 24 Feb 2013 18:18:03 GMT) Full text and rfc822 format available.

Message #54 received at 700718@bugs.debian.org (full text, mbox):

From: Ondřej Čertík <ondrej.certik@gmail.com>
To: Sébastien Villemot <sebastien@debian.org>
Cc: 700718@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Andreas Beckmann <anbe@debian.org>
Subject: Re: Bug#700718: python-numpy: fails to upgrade from squeeze: prerm: 6: update-python-modules: not found
Date: Sun, 24 Feb 2013 10:14:54 -0800
On Sun, Feb 24, 2013 at 12:11 AM, Sébastien Villemot
<sebastien@debian.org> wrote:
> Le samedi 23 février 2013 à 17:14 -0800, Ondřej Čertík a écrit :
>> On Sat, Feb 23, 2013 at 8:35 AM, Sébastien Villemot
>> <sebastien@debian.org> wrote:
>> > Le samedi 23 février 2013 à 17:17 +0100, Julien Cristau a écrit :
>> >> On Sun, Feb 17, 2013 at 13:42:45 +0100, Andreas Beckmann wrote:
>> >>
>> >> > I have now observed this behavior also while upgrading the following
>> >> > packages from squeeze -> sid (and verified that these upgrades fail on
>> >> > squeeze -> wheezy(+new numpy) in the same way).
>> >> >
>> >> If this is due to the breaks added in the new numpy, then I'd say let's
>> >> revert those.  Aborting the upgrade like that seems much worse than
>> >> possible incompatibilities for partial upgrades.
>> >
>> > Yes the problem is introduced by the new Breaks. However, as noted in my
>> > previous message to this bug, this is the consequence of a real bug
>> > somewhere else.
>> >
>> > If reverting the Breaks still has your preference, I can do it.
>>
>> I am the release manager of NumPy 1.7.0. Do you think this is some bug
>> in NumPy itself?
>
> I think the bug is not in NumPy, see:
>
>  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=700718#17
>
> This bug has been exposed when some Breaks have been added in
> python-numpy 1:1.6.2-1.1.

Ah I see. Cool. If you discover some other bug with the 1.7.0 release,
that is a bug in NumPy, please let us know.

Ondrej



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#700718; Package python-numpy. (Wed, 27 Feb 2013 10:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 27 Feb 2013 10:09:03 GMT) Full text and rfc822 format available.

Message #59 received at 700718@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 700718@bugs.debian.org, 700994@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>, Andreas Beckmann <anbe@debian.org>, Vincent Cheng <vincentc1208@gmail.com>
Subject: NMU diff for python-numpy 1.6.2-1.2
Date: Wed, 27 Feb 2013 11:07:30 +0100
[Message part 1 (text/plain, inline)]
Control: tags 700718 + pending
Control: tags 700994 + pending

Dear Maintainer,

I uploaded to DELAYED/2 an NMU of python-numpy versioned 1.6.2-1.2. The
debdiff is attached.

Cheers,

-- 
 .''`.    Sébastien Villemot
: :' :    Debian Developer
`. `'     http://www.dynare.org/sebastien
  `-      GPG Key: 4096R/381A7594

[python-numpy_1.6.2-1.2.diff (text/x-patch, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Sébastien Villemot <sebastien@debian.org> to 700718-submit@bugs.debian.org. (Wed, 27 Feb 2013 10:09:03 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Fri, 01 Mar 2013 10:36:10 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Fri, 01 Mar 2013 10:36:10 GMT) Full text and rfc822 format available.

Message #66 received at 700718-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 700718-close@bugs.debian.org
Subject: Bug#700718: fixed in python-numpy 1:1.6.2-1.2
Date: Fri, 01 Mar 2013 10:33:07 +0000
Source: python-numpy
Source-Version: 1:1.6.2-1.2

We believe that the bug you reported is fixed in the latest version of
python-numpy, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 700718@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated python-numpy package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 27 Feb 2013 10:33:24 +0100
Source: python-numpy
Binary: python-numpy python-numpy-dbg python3-numpy python3-numpy-dbg python-numpy-doc
Architecture: source amd64 all
Version: 1:1.6.2-1.2
Distribution: unstable
Urgency: low
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 python-numpy - Numerical Python adds a fast array facility to the Python languag
 python-numpy-dbg - Fast array facility to the Python language (debug extension)
 python-numpy-doc - NumPy documentation
 python3-numpy - Numerical Python adds a fast array facility to the Python languag
 python3-numpy-dbg - Fast array facility to the Python language (debug extension)
Closes: 700718 700994
Changes: 
 python-numpy (1:1.6.2-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Remove Breaks relationships introduced in previous version. They break
     squeeze -> wheezy upgrades. (Closes: #700718)
   * Install symlinks for Python 3 headers under /usr/include/python3.2mu (resp.
     python3.2dmu) instead of /usr/include/python3.2 (resp. python3.2_d),
     to avoid file versus symlink conflict. (Closes: #700994)
Checksums-Sha1: 
 5abe7750dcdd944b28861eb9c70f06fef15f95e0 2466 python-numpy_1.6.2-1.2.dsc
 33a947ef92ed673dc002ab5e98d8f0c72c3889d7 140465 python-numpy_1.6.2-1.2.debian.tar.gz
 e308e2352519d2c6d5b990f310f1ad007af286a2 2632094 python-numpy_1.6.2-1.2_amd64.deb
 76c53e3619eb817831d13f8a8cca18d90e0d8c30 6817794 python-numpy-dbg_1.6.2-1.2_amd64.deb
 c48b62e70d8e90ff19b00d089e6597efe82fade4 1857910 python3-numpy_1.6.2-1.2_amd64.deb
 539104dc18558a1b52a7794685a667d731c9c462 4161850 python3-numpy-dbg_1.6.2-1.2_amd64.deb
 04326eb7930b111d8d14fa88ee7a4c0cfeb434e1 5310448 python-numpy-doc_1.6.2-1.2_all.deb
Checksums-Sha256: 
 12af1b8923a9a9bd784096ac0cd922adf2e2e9a5e747862cdd9c06e60c5c5b1e 2466 python-numpy_1.6.2-1.2.dsc
 5a63620fef804db6ecefd355acfbb740a20aee433d9d2b13ca1f9d33e921c4a8 140465 python-numpy_1.6.2-1.2.debian.tar.gz
 a95a7af2054e8ee8b84aa75d1a711f756c459012a9a3d8c6463ef530dfa83777 2632094 python-numpy_1.6.2-1.2_amd64.deb
 aba711e8c9005665547bcbc516bb97196398c96d9bbcba5c0dce75297980e173 6817794 python-numpy-dbg_1.6.2-1.2_amd64.deb
 4c16839566bbc0a6e408d78d10717cc89db399738936c31aeff3f34d633a2a75 1857910 python3-numpy_1.6.2-1.2_amd64.deb
 aaca7b15e3c3803542fa18fd99e529f3a62bf9b2fc77f3f345741e82cde61221 4161850 python3-numpy-dbg_1.6.2-1.2_amd64.deb
 ebd07a1d9be338115c7530d614c0c1315a53908ac3eb130d52577a00741197c1 5310448 python-numpy-doc_1.6.2-1.2_all.deb
Files: 
 8a61a1f66883444995bc882779b6e5cc 2466 python optional python-numpy_1.6.2-1.2.dsc
 94b44b665f94688881a09d9cb3d3ac75 140465 python optional python-numpy_1.6.2-1.2.debian.tar.gz
 467db301dce6aabf3960487fe91f0d9d 2632094 python optional python-numpy_1.6.2-1.2_amd64.deb
 df1c8e465184890d41ecb52e3be55c4c 6817794 debug extra python-numpy-dbg_1.6.2-1.2_amd64.deb
 517472293aea5795e028d374985bd031 1857910 python optional python3-numpy_1.6.2-1.2_amd64.deb
 5e2223b8c61d7b3039bb7a6a48b33b9c 4161850 debug extra python3-numpy-dbg_1.6.2-1.2_amd64.deb
 d061788649bf815b213953d0b2726d5a 5310448 doc optional python-numpy-doc_1.6.2-1.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRLdnIAAoJECzs6TUOzr5KC0sQAIuo2NccZ6m/Owe0rXAaYHSV
t2Z8PXXIAdWWeTYd4ncm2BwZ9tFidtmCncJqK8zJZdzo+W8d0BPVM8r99NHnbrdR
xREQzVpgQZzS3KwqV8csNXVCcoQ6UKKvGY8HsTYGCHQ0JMjuOl5W1N4lXfgU0za2
j9T9Uy9s2PJDfQgsBA019k5JkMFYI6RsMXqLx9zhpAwnOtdlCXKvDG9HizTzxz4l
WmoTRbORTRxx8CLYwEvj4W1SxW+6uRdpc2tYO98t/+8V9VAHjlfIsY2OccH2P9d6
qbclxTLGiEDh/H9+7G9lWk+CjJLhrvt9SJLFoLwyY5riJ09nnkivnfCPpTCEK6QR
Yhm222Mn12A8seITEO8nPaum01ST810GrcP4DeIaSyIVB3I2z1M9Im1qLx8rGkYs
ryPjFv35r3Z6Yq6sel+dOvbRkcbaBMKDgKhx9as0KLqP/qqDdO0JrbOm4ViAMsxj
p2LMur+XElqmLEZlx+epBxzK2DCbEVD4P0vGbwOQuB+oY/Ea2SHD5Y6fO51CqZqW
GpgFR6nBIwDdAfGa5pnTeliYW67kC1g+jgJNDT7JY7RrNQvL5HTvgeDswUij7DMJ
JmBEedcgCNf7EBDm/0wj64v7XqJbWqLdguR/N+hHCFJ1KXlJlzKK+ebDs7DXXNVK
3xTZ0NMRQfzSkhxiTKU4
=rIli
-----END PGP SIGNATURE-----




Added tag(s) pending. Request was from morph@users.alioth.debian.org to control@bugs.debian.org. (Sun, 03 Mar 2013 14:42:03 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 01 Apr 2013 07:27:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 07:52:03 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.